<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title *ngIf='steps.length > 0'>Step {{activeStep}} {{ 'common.di' | translate }} {{steps.length}}</ion-title>
<!--    <ion-buttons slot="primary" *ngIf='this.service.compilation_info'>
      <ion-button color="primary"  (click)='openDescriptionModal()'>
        <ion-icon slot="icon-only"  size='large' slot='end'
                  name="help-outline" class='custom'>
        </ion-icon>
      </ion-button>
    </ion-buttons>-->
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding-horizontal" fullscreen='true'>
  <ion-header collapse="condense">
    <ion-toolbar class='custom-toolbar' style='color: black'>
        <app-circular-stepper [activeStep]='activeStep' [steps]='steps' [stepTitle]='stepTitle'></app-circular-stepper>
    </ion-toolbar>
  </ion-header>
      <formio *ngIf='urlForm'
              [renderOptions]="options"
              [src]="urlForm"
              (nextPage)='onNextPageEvent($event)'
              (prevPage)='onPreviousPageEvent($event)'
              (ready)='onReady($event)'
              (formLoad)='onLoad($event)'
              [submission]='data'
      ></formio>
</ion-content>
<ion-footer>
   <ion-row class='ion-no-padding ion-no-margin' >
      <ion-col class='ion-no-padding' *ngIf='showCancel'>
        <ion-button class='ion-no-margin'  (click)='onCancel()' expand='full' size='large' color="danger">{{ 'formio.cancella' | translate }}</ion-button>
      </ion-col>
      <ion-col class='ion-no-padding' *ngIf='showPrevious'>
        <ion-button class='ion-no-margin' (click)='onPreviousPage()' expand='full' size='large' color="secondary">{{ 'formio.indietro' | translate }}</ion-button>
      </ion-col>
      <ion-col class='ion-no-padding' *ngIf='showNext'>
        <ion-button class='ion-no-margin' (click)='onNextPage()' expand='full' size='large' color="primary">{{ 'formio.avanti' | translate }}</ion-button>
      </ion-col>
      <ion-col class='ion-no-padding' *ngIf='showSubmit'>
        <ion-button class='ion-no-margin' (click)='onSummary()' expand='full' size='large' color="primary">{{ 'formio.riepilogo' | translate }}</ion-button>
      </ion-col>
    </ion-row>
</ion-footer>
